#!/usr/bin/env python

# convert data and label files into libsvm sparse format

from sys import argv, exit

if len(argv) != 4:
	print "Usage: %s datafile labelfile outputfile\n" % (argv[0])
	exit()

def datamap(l):
	return map(float, l.split())

fdata = open(argv[1], 'r')
data = map(datamap, fdata.readlines())
fdata.close()

flabel = open(argv[2], 'r')
label = map(float, flabel.readlines())
flabel.close()

fout = open(argv[3], 'w')
for i in range(len(label)):
	if label[i] > 0:
		fout.write('+1')
	else:
		fout.write('-1')
	for j in range(len(data[i])):
		if data[i][j] != 0:
			fout.write(' %s:%s' % (j + 1, data[i][j]))
	fout.write('\n')
fout.close()
